This page was not yet optimized for use on mobile devices.
Aruba 9004 Series Gateway with ArubaOS FIPS Firmware
Certificate details
| Certificate ID | #3931 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 24.05.2021 |
| Standard | FIPS 140-2 |
| Security level | 2 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode with tamper evident labels installed as indicated in the Security Policy. When installed, initialized and configured as specified in Section 13 of the Security Policy |
| Exceptions |
|
| Description | Aruba's family of Gateways are network infrastructure devices providing secure, scalable solutions for branch and small campus networks. The Gateways provide network security policy enforcement firewall with Deep Packet Inspection, enterprise Wi-Fi, WLAN, LAN and VPN services including Aruba Dynamic Segmentation, flexible connectivity options, integrated device profiling, and role-based wireless intrusion detection and prevention (IDS/IPS). Gateways serve as central points of authentication, encryption, access control, and network coordination for all mobile network services. |
| Version (Hardware) | [Aruba 9004-USF1 (HPE SKU R1B25A) and Aruba 9004-RWF1 (HPE SKU R1B26A)] with FIPS Kit 4011570-01 (HPE SKU JY894A) |
| Version (Firmware) | ArubaOS 8.6.0.7-FIPS |
| Vendor | Aruba, a Hewlett Packard Enterprise company http://www.arubanetworks.com |
| Lab | Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, RC4, DES, Triple-DES, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512Asymmetric Algorithms
RSA 2048, ECDH, ECDSA, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-384, SHA-256, SHA-512, MD5Schemes
Key Exchange, Key AgreementProtocols
SSHv2, SSH, SSL, TLS, TLS 1.2, IKEv2, IKEv1, IKE, VPNRandomness
DRBGLibraries
OpenSSLElliptic Curves
P-256, P-384Block cipher modes
ECB, CBC, CTR, GCM, CCMVendor
MicrosoftSecurity level
Level 2, level 2Standards
FIPS 140-2, FIPS 197, FIPS 186-4, FIPS 198-1, FIPS 186-2, FIPS 180-4, FIPS 140, SP 800-38A, SP 800-38D, SP 800-90A, SP 800-56A, SP 800-108, SP 800-56C, SP 800-67, SP 800-38F, NIST SP 800-52, PKCS1, PKCS#1, RFC 4106, RFC 7296, RFC 5289, RFC 5282, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3931,
"dgst": "b1eaff1b4d8e1425",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"SHS#C1229",
"AES#C1230",
"HMAC#C1230",
"RSA#C1229",
"CVL#C1229",
"ECDSA#C1230",
"SHS#C1231",
"RSA#C1231",
"#C1231",
"#C1229",
"#C1230",
"CVL#C1230",
"SHS#C1230",
"ECDSA#C1229",
"AES#C1229",
"KTS#C1230",
"DRBG#C1229",
"HMAC#C1229",
"KBKDF#C1229",
"RSA#C1230"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"8.6.0.7"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 4
},
"ECDSA": {
"ECDSA": 19
}
},
"FF": {
"DH": {
"DH": 9,
"Diffie-Hellman": 17
},
"DSA": {
"DSA": 1
}
},
"RSA": {
"RSA 2048": 2
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 6
},
"CCM": {
"CCM": 1
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 1
},
"GCM": {
"GCM": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 18
}
},
"crypto_protocol": {
"IKE": {
"IKE": 11,
"IKEv1": 17,
"IKEv2": 21
},
"SSH": {
"SSH": 9,
"SSHv2": 18
},
"TLS": {
"SSL": {
"SSL": 1
},
"TLS": {
"TLS": 48,
"TLS 1.2": 1
}
},
"VPN": {
"VPN": 5
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 2
},
"KEX": {
"Key Exchange": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 28,
"P-384": 26
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES CTR 256": 1,
"AES-CBC 14": 1,
"AES-CBC 7": 1,
"AES-GCM 13": 1,
"AES-GCM 6": 1,
"Certificate RSA": 1,
"HMAC (384": 1,
"HMAC-SHA-1": 11,
"HMAC-SHA-1 (160": 1,
"HMAC-SHA-256": 14,
"HMAC-SHA-384": 16,
"HMAC-SHA-512": 6,
"HMAC-SHA-512 128": 2,
"HMAC-SHA-512 15": 2,
"HMAC-SHA-512 8": 2,
"HMAC-SHA1": 4,
"HMAC-SHA1-96": 1,
"PKCS#1": 2,
"PKCS1": 10,
"RSA 2048": 2,
"RSA PKCS#1": 2,
"SHA- 256": 4,
"SHA- 512": 2,
"SHA- 512 11": 1,
"SHA-1": 15,
"SHA-1 10": 1,
"SHA-1 4": 1,
"SHA-256": 11,
"SHA-384": 10,
"SHA-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 2": 51,
"level 2": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 4
}
},
"SHA": {
"SHA1": {
"SHA-1": 17
},
"SHA2": {
"SHA-256": 11,
"SHA-384": 10,
"SHA-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 21
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 1,
"FIPS 140-2": 71,
"FIPS 180-4": 3,
"FIPS 186-2": 2,
"FIPS 186-4": 9,
"FIPS 197": 3,
"FIPS 198-1": 2
},
"NIST": {
"NIST SP 800-52": 1,
"SP 800-108": 1,
"SP 800-38A": 3,
"SP 800-38D": 2,
"SP 800-38F": 4,
"SP 800-56A": 4,
"SP 800-56C": 1,
"SP 800-67": 2,
"SP 800-90A": 1
},
"PKCS": {
"PKCS#1": 2,
"PKCS1": 5
},
"RFC": {
"RFC 4106": 1,
"RFC 5282": 1,
"RFC 5289": 2,
"RFC 7296": 1
},
"X509": {
"X.509": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 20
},
"RC": {
"RC4": 2
}
},
"DES": {
"3DES": {
"Triple-DES": 10
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"HMAC": 7,
"HMAC-SHA-256": 7,
"HMAC-SHA-384": 8,
"HMAC-SHA-512": 6
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Microsoft": {
"Microsoft": 2
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"SHS#C1229",
"KTS#C1230",
"AES#C1230",
"CVL#C1229",
"CVL#C1230",
"DRBG#C1229",
"ECDSA#C1230",
"SHS#C1231",
"HMAC#C1230",
"RSA#C1231",
"SHS#C1230",
"ECDSA#C1229",
"AES#C1229",
"HMAC#C1229",
"KBKDF#C1229",
"RSA#C1229",
"RSA#C1230"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C1231",
"#C1229",
"#C1230"
]
},
"policy_metadata": {
"/Author": "tsengjk",
"/CreationDate": "D:20210401220342-04\u002700\u0027",
"/Creator": "Nuance PDF Create",
"/ModDate": "D:20210401220351-04\u002700\u0027",
"/Producer": "Nuance PDF Create",
"/Title": "Microsoft Word - ArubaOS8.6-9004-Security-Policy.doc",
"pdf_file_size_bytes": 850515,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 40
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "faf290518fe60c78f4234a5efcfc2866b5e65c1095b7565fc075502bcc279776",
"source_hash": "066a77b9e314f7317094800f8c78095b6d830d97b6f63c1cfb86170a1ecb1a12",
"txt_hash": "12cd607c6dae3fc4cf719a70132ff1a7ef47d5d1a6e41b4ac73f6c8b757e21b7"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode with tamper evident labels installed as indicated in the Security Policy. When installed, initialized and configured as specified in Section 13 of the Security Policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/May 2021_010621_0658.pdf",
"date_sunset": null,
"description": "Aruba\u0027s family of Gateways are network infrastructure devices providing secure, scalable solutions for branch and small campus networks. The Gateways provide network security policy enforcement firewall with Deep Packet Inspection, enterprise Wi-Fi, WLAN, LAN and VPN services including Aruba Dynamic Segmentation, flexible connectivity options, integrated device profiling, and role-based wireless intrusion detection and prevention (IDS/IPS). Gateways serve as central points of authentication, encryption, access control, and network coordination for all mobile network services.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "ArubaOS 8.6.0.7-FIPS",
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": "[Aruba 9004-USF1 (HPE SKU R1B25A) and Aruba 9004-RWF1 (HPE SKU R1B26A)] with FIPS Kit 4011570-01 (HPE SKU JY894A)",
"level": 2,
"mentioned_certs": {},
"module_name": "Aruba 9004 Series Gateway with ArubaOS FIPS Firmware",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-05-24",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Initial"
}
],
"vendor": "Aruba, a Hewlett Packard Enterprise company",
"vendor_url": "http://www.arubanetworks.com"
}
}